--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: open
comment: 
- !ruby/struct:SM::Flow::P 
  body: Low level connection which maps commands and supports synchronous receives
constants: []

full_name: Stomp::Connection
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: __old_receive
- !ruby/object:RI::MethodSummary 
  name: abort
- !ruby/object:RI::MethodSummary 
  name: ack
- !ruby/object:RI::MethodSummary 
  name: begin
- !ruby/object:RI::MethodSummary 
  name: closed?
- !ruby/object:RI::MethodSummary 
  name: commit
- !ruby/object:RI::MethodSummary 
  name: disconnect
- !ruby/object:RI::MethodSummary 
  name: open?
- !ruby/object:RI::MethodSummary 
  name: poll
- !ruby/object:RI::MethodSummary 
  name: receive
- !ruby/object:RI::MethodSummary 
  name: send
- !ruby/object:RI::MethodSummary 
  name: socket
- !ruby/object:RI::MethodSummary 
  name: subscribe
- !ruby/object:RI::MethodSummary 
  name: unsubscribe
name: Connection
superclass: Object
